Project Chrono: chrono::vehicle::citybus::CityBus Class Reference

Public Member Functions | Protected Attributes | List of all members
chrono::vehicle::citybus::CityBus Class Reference
Models » Vehicle models » City bus

## Description

Definition of the city bus assembly.

This class encapsulates a concrete wheeled vehicle model with parameters corresponding to a city bus, the powertrain model, and the tires.

`#include <CityBus.h>`

Collaboration diagram for chrono::vehicle::citybus::CityBus:
[legend]

## Public Member Functions
| CityBus (ChSystem *system)
void | SetContactMethod (ChContactMethod val)
void | SetCollisionSystemType (ChCollisionSystem::Type collsys_type)
void | SetChassisFixed (bool val)
void | SetChassisCollisionType (CollisionType val)
void | SetBrakeType (BrakeType brake_type)
void | SetTireType (TireModelType val)
void | SetInitPosition (const ChCoordsys<> &pos)
void | SetInitFwdVel (double fwdVel)
void | SetInitWheelAngVel (const std::vector< double > &omega)
void | SetTireStepSize (double step_size)
void | EnableBrakeLocking (bool lock)
ChSystem * | GetSystem () const
ChWheeledVehicle & | GetVehicle () const
std::shared_ptr< ChChassis > | GetChassis () const
std::shared_ptr< ChBodyAuxRef > | GetChassisBody () const
void | Initialize ()
void | SetAerodynamicDrag (double Cd, double area, double air_density)
void | SetChassisVisualizationType (VisualizationType vis)
void | SetSuspensionVisualizationType (VisualizationType vis)
void | SetSteeringVisualizationType (VisualizationType vis)
void | SetWheelVisualizationType (VisualizationType vis)
void | SetTireVisualizationType (VisualizationType vis)
void | Synchronize (double time, const DriverInputs &driver_inputs, const ChTerrain &terrain)
void | Advance (double step)
void | LogHardpointLocations ()
void | DebugLog (int what)

## Protected Attributes
ChSystem * | m_system
CityBus_Vehicle * | m_vehicle
ChContactMethod | m_contactMethod
ChCollisionSystem::Type | m_collsysType
CollisionType | m_chassisCollisionType
bool | m_fixed
bool | m_brake_locking
BrakeType | m_brake_type
TireModelType | m_tireType
double | m_tire_step_size
ChCoordsys | m_initPos
double | m_initFwdVel
std::vector< double > | m_initOmega
bool | m_apply_drag
double | m_Cd
double | m_area
double | m_air_density
double | m_tire_mass

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/citybus/CityBus.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/citybus/CityBus.cpp